﻿using System;
using System.Collections.Generic;
using System.Windows.Media;
using System.Windows.Threading;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
    public class ViewModel : ViewModelBase
    {
        private List<int> data;
        private bool showItemLabels;
        private Random rand = new Random(DateTime.Now.Millisecond);
        private Brush fill;
        private static Brush Red = new SolidColorBrush(Colors.Red);
        private static Brush Green = new SolidColorBrush(Colors.Green);

        public ViewModel()
        {
            this.Data = new List<int> { rand.Next(10, 100), rand.Next(10, 100), rand.Next(10, 100), rand.Next(10, 100), rand.Next(10, 100) };

            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = TimeSpan.FromSeconds(5);
            timer.Tick += new EventHandler(timer_Tick);
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            this.ShowItemLabels = !this.ShowItemLabels;

            if (this.Fill == Red)
                this.Fill = Green;
            else
                this.Fill = Red;
        }

        public bool ShowItemLabels
        {
            get
            {
                return this.showItemLabels;
            }
            set
            {
                if (this.showItemLabels != value)
                {
                    this.showItemLabels = value;
                    this.OnPropertyChanged("ShowItemLabels");
                }
            }
        }

        public Brush Fill
        {
            get
            {
                return this.fill;
            }
            set
            {
                if (this.fill != value)
                {
                    this.fill = value;
                    this.OnPropertyChanged("Fill");
                }
            }
        }

        public List<int> Data
        {
            get
            {
                return this.data;
            }
            set
            {
                if (this.data != value)
                {
                    this.data = value;
                    this.OnPropertyChanged("Data");
                }
            }
        }
    }
}
